Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Bind_Dispatcher_Guard Class Reference

`#include <Bind_Dispatcher_Guard.h>`

Collaboration diagram for TAO_Bind_Dispatcher_Guard:

[legend]
List of all members.

## Public Types
enum | { UNBIND = 0, NO_UNBIND }
| State information. More...
## Public Methods
| TAO_Bind_Dispatcher_Guard (CORBA::ULong request_id, TAO_Reply_Dispatcher *rd, TAO_Transport_Mux_Strategy *tms)
| ~TAO_Bind_Dispatcher_Guard (void)
int | unbind_dispatcher (void)
| Returns 0 if succesful and non-zero otherwise.
int | status (void) const
| Set and get status.
void | status (int status)
## Private Attributes
int | status_
CORBA::ULong | request_id_
TAO_Reply_Dispatcher * | rd_
TAO_Transport_Mux_Strategy * | tms_

## Member Enumeration Documentation

anonymous enum

  | State information. Enumeration values:
  UNBIND | Unbind the dispatcher.
  NO_UNBIND | Do not unbind dispatcher.

## Constructor & Destructor Documentation

TAO_Bind_Dispatcher_Guard::TAO_Bind_Dispatcher_Guard | ( | CORBA::ULong | request_id,
|  | TAO_Reply_Dispatcher * | rd,
|  | TAO_Transport_Mux_Strategy * | tms
| ) |

TAO_Bind_Dispatcher_Guard::~TAO_Bind_Dispatcher_Guard | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE void TAO_Bind_Dispatcher_Guard::status | ( | int | status | ) |

ACE_INLINE int TAO_Bind_Dispatcher_Guard::status | ( | void |  | ) | const

| Set and get status.

ACE_INLINE int TAO_Bind_Dispatcher_Guard::unbind_dispatcher | ( | void |  | ) |

| Returns 0 if succesful and non-zero otherwise.

## Member Data Documentation

TAO_Reply_Dispatcher* TAO_Bind_Dispatcher_Guard::rd_`[private]`

CORBA::ULong TAO_Bind_Dispatcher_Guard::request_id_`[private]`

int TAO_Bind_Dispatcher_Guard::status_`[private]`

TAO_Transport_Mux_Strategy* TAO_Bind_Dispatcher_Guard::tms_`[private]`

The documentation for this class was generated from the following files:

- Bind_Dispatcher_Guard.h
- Bind_Dispatcher_Guard.cpp
- Bind_Dispatcher_Guard.i